Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
faiss::RangeSearchPartialResult Struct Reference

the entries in the buffers are split per query More...

`#include <AuxIndexStructures.h>`

Inheritance diagram for faiss::RangeSearchPartialResult:

## Public Member Functions
| RangeSearchPartialResult (RangeSearchResult *res_in)
| eventually the result will be stored in res_in
RangeQueryResult & | new_result (idx_t qno)
| begin a new result
void | finalize ()
void | set_lims ()
| called by range_search before do_allocation
void | copy_result (bool incremental=false)
| called by range_search after do_allocation
Public Member Functions inherited from faiss::BufferList
| BufferList (size_t buffer_size)
void | append_buffer ()
| create a new buffer
void | add (idx_t id, float dis)
| add one result, possibly appending a new buffer if needed
void | copy_range (size_t ofs, size_t n, idx_t *dest_ids, float *dest_dis)

## Static Public Member Functions
static void | merge (std::vector< RangeSearchPartialResult * > &partial_results, bool do_delete=true)

## Public Attributes
RangeSearchResult * | res
std::vector< RangeQueryResult > | queries
| query ids + nb of results per query.
Public Attributes inherited from faiss::BufferList
size_t | buffer_size
std::vector< Buffer > | buffers
size_t | wp
| write pointer in the last buffer.

## Additional Inherited Members
Public Types inherited from faiss::BufferList
typedef Index::idx_t | idx_t

## Detailed Description

the entries in the buffers are split per query

Definition at line 149 of file AuxIndexStructures.h.

## Member Function Documentation

void faiss::RangeSearchPartialResult::merge | ( | std::vector< RangeSearchPartialResult * > & | partial_results,
|  | bool | do_delete = `true`
| ) |  |
| static

merge a set of PartialResult's into one RangeSearchResult on ouptut the partialresults are empty!

Definition at line 184 of file AuxIndexStructures.cpp.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/AuxIndexStructures.h
- /data/users/hoss/faiss/AuxIndexStructures.cpp